org.apache.groovy.metaclass

## Class Realm

- java.lang.Object
- - org.apache.groovy.metaclass.Realm

-     @Incubating
      public final class Realm
      extends java.lang.Object

  A Realm is the representation of a metaclass layer in a tree of realm objects.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> MetaClass<T>` | `getMetaClass(java.lang.Class<T> theClass)`
    `static Realm` | `newRealm(java.lang.String name, Realm parent)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### newRealm

          public static Realm newRealm(java.lang.String name,
                                       Realm parent)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getMetaClass

          public <T> MetaClass<T> getMetaClass(java.lang.Class<T> theClass)